import { CommonModule } from '@angular/common';
import { Component } from '@angular/core';
import { ModalService } from '../../services/modal/modal.service';
import { LoginPageComponent } from '../login-page/login-page.component';
import { RegisterPageComponent } from '../register-page/register-page.component';

@Component({
  selector: 'app-home-navbar',
  imports: [LoginPageComponent, RegisterPageComponent, CommonModule],
  templateUrl: './home-navbar.component.html',
})
export class HomeNavbarComponent {
  isMenuOpen = false;
  constructor(private modalService: ModalService) {}

  openLoginModal() {
    this.modalService.openModal('login-modal');
  }
}
