import { Injectable } from '@angular/core';
import { BehaviorSubject } from 'rxjs';

@Injectable({
  providedIn: 'root'
})
export class NavbarService {
  private isSearchOpenSubject = new BehaviorSubject<boolean>(false);
  private isNavbarOpenSubject = new BehaviorSubject<boolean>(false);

  isSearchOpen$ = this.isSearchOpenSubject.asObservable();
  isNavbarOpen$ = this.isNavbarOpenSubject.asObservable();

  toggleSearch(): void {
    this.isSearchOpenSubject.next(!this.isSearchOpenSubject.value);
  }

  toggleNavbar(): void {
    this.isNavbarOpenSubject.next(!this.isNavbarOpenSubject.value);
  }
} 